Jump to content

Leaderboard


Popular Content

Showing content with the highest reputation on 05/28/2019 in all areas

  1. 1 point
    DataSwitchPro - Automatic on/off switch for categories and products free module by crezzur Update 16/05: we are considering adding a cronjob to this module (fires automatically every x time and disable and enable categories). For this we want feedback from the users to know if this update is needed. Features < This module will automatically search for (sub)categories with no products and automatically disable them. > < This module will automatically search for (sub)categories with products and automatically enable them. > < This module will automatically search for products with no quantity's and automatically disable them. > < This module will automatically search for products with quantity's and automatically enable them. > < You can choose the time frame of the DataSwitchpro (how many times a day it has to check to enable/disable products) > < You can disable (sub)categories or products if you don't want to use this feature. > How does this work? Every time a customer visit your site a query will run to see when was the last time the DataSwitchPro was active. If this is longer then the time frame you have selected, a update query will run. Products and (sub)Categories with no products/quantity's will automatically disable. Products and (sub)Categories that are updated with new products/quantity's will automatically be re-activated. This product works with Prestashop versions 1.6.+ / 1.7+ Back office configuration Setup Install the zip file, change the settings if you want, and your ready! Download this FREE module NOW! V1.0.4 (26/05/2019)* Click here to download OR dataswitchpro.zipdataswitchpro.zip Contributors: PrestaMake V1.0.3 (16/12/2018)* DOWNLOAD REMOVED V1.0.2 (09/10/2017)* DOWNLOAD REMOVED * We have updated our module to the prestashop 1.7 codding requirments. Products which allow ordering when out of stock will not be disabled anymore V1.0.1 (08/11/2016)* DOWNLOAD REMOVED * Version 1.0.0 has to be uninstalled first. V1.0.0 (17/02/2015) DOWNLOAD REMOVED ---------------- PS: a like and a thank you for my work is appreciated ----------------
  2. 1 point
    Bonjour, Pour une opération commerciale j'avais besoin rapidement d'un module exit popup, n'ayant pas le temps de le faire j'ai acheté celui de prestashop. J'installe ce module sur mon site de dev et là les ennuis commencent, dans la backoffice toutes les images sont appelées en http et pas https vous me direz ce n'est pas trop grave sauf que mon site de test étant protégé par un mot de passe et que je suis logué en https j'ai des 401 partout. Bon on se connecte en http c'est bon mais relou ... J'ai enfin un visuel sur la configuration du module, je configure mon pop up je suis content je me rends sur le site et la surpprise j'ai un popup dégueulasse ... Je réflechis je regarde les css je me rends compte que des commentaires casse le css avec CC et que les images backgroud ne sont pas correctement appelées ... Passons ... on désactive CC pour les tests En lisant le code je me rends compte que ce module charge également une ressource externe pour une icone oui oui pour une petite icone, franchement pourquoi charger en externe si ce n'est pour ne pas bien faire les choses et gagner du temps ... Dans beaucoup de module il y a une option Charger la Font oui non ? ... Je continue l'exploration du module et je regarde les beaux backgrounds que nous propose le module, nous avons de belles images de + de 250ko ... en 2019 on nous conseille de compresser les images ... un coup de moulinette et hop 200ko de gagnés Maintenant en utilisation il vaut quoi ce module, je pensais quand même pouvoir configurer un montant minimum de panier, un temps avant l'apparition du popup .... non ici c'est simple on arrive sur le site on sort de la page on a une réduction ... Un client pas content
  3. 1 point
    Lors de mon passage au 1.7, mon premier reflexe a aussi été de trouver ca assez iiritant pour le client... Comme si on marquait "houuu ! T'as interet à payer je te préviens" Moi ca me freinerait c'est clair
  4. 1 point
    Comme vous êtes sur 1.7 avez vous essayé https://devdocs.prestashop.com/1.7/themes/reference/templates/templates-layouts/#specific-templates En gros vous pouvez définir un template spécifique pour un produit en particulier avec ça.
  5. 1 point
    Bonjour, Je ne comprends pas bien pourquoi les prix spécifiques ne conviennent pas à ce que vous cherchez à faire (appliquer une réduction de 10 % (ou un montant fixe) sur un article et une réduction de 7 % (ou un montant fixe) sur un autre article), car il peuvent se définir pour un client Y particulier. Crdlt Franck
  6. 1 point
    Thanks, finally we have installed this module: https://addons.prestashop.com/fr/frais-de-port/26428-frais-d-expedition-sans-regles-de-panier-d-achat-rabais.html?_ga=2.237359364.527849679.1559043046-1522622654.1557436945
  7. 1 point
    Je n'ai pas d'idée en tête pour le moment, mais j'adore l'idée. 👍 J'ai même une suggestion : développer ce module avec un dépôt public sur Github afin d'en faire un projet participatif ainsi d'autres développeurs pourront faire des suggestions pour améliorer le code via des Pull Requests et les non développeurs ou ceux qui n'ont pas suffisamment de temps pourront ouvrir des Issues pour faire des remontées 🤓 Cela pourrait être une très bonne occasion pour tous les participants d'apprendre des choses qu'ils pourront réutiliser de leur côté dans leurs modules par exemple 😉
  8. 1 point
    Le module payant gère beaucoup mieux le multiboutique et certaines autres fonctionnalités que le module gratuit.
  9. 1 point
    Naturellement Et j'ai fais de même avec le module popup reduction ou il a fallu 7 jours pour me répondre, et j'attends toujours la nouvelle version Genre un .fr à enlever d'une ligne pourtant le commentaire est drôle // Hotfix : we don't want to generate discounts for orders coming from Amazon if (Validate::isLoadedObject($customer) && strstr($customer->email, "marketplace.amazon.fr")) { return (false); } J'ai plus les autres bugs en tête mais bon ...
  10. 1 point
    Ne criez pas ! Comme se faire crier dessus fait mal aux oreilles, lire des messages en MAJUSCULES fait mal aux yeux. Utilisez ces dernières avec modération. Merci de ne pas utliser une police de caractère trop grande/abusive.
  11. 1 point
    Si quieres me comentas más en detalles el problema y ayudo al programador del módulo a corregir ese error Saludos
  12. 1 point
    Teşekkür ederim tercihim Prestashop olacak.
  13. 1 point
    Bonjour à tous, Pour ma part je suis sous Prestashop 1.7.5.1 et j'avais également l'erreur "offers", "review", ou "aggregateRating".. J'ai essayé de lire tous les messages de ce topique et notamment une personne d'entre vous a donné ce lien: https://github.com/PrestaShop/PrestaShop/issues/12687 Cela a fonctionné pour moi. Pour les personnes pas trop à l'aise avec l'anglais (et pour les flemmards, je vous vois ahah 👁️) Dans: themes/VOTRETHEME/templates/catalog/_partials/miniatures , mettez en commentaire "itemscope itemtype="http://schema.org/Product" dans les fichiers "product.tpl", "productList.tpl" et productGrid.tpl (non indiqué dans le post Github mais qui a été nécessaire pour moi). Ancien code des trois fichiers: <article class="product-miniature js-product-miniature" data-id-product="{$product.id_product}" data-id-product-attribute="{$product.id_product_attribute}" itemscope itemtype="http://schema.org/Product"> Nouveau code des trois fichiers: <article class="product-miniature js-product-miniature" data-id-product="{$product.id_product}" data-id-product-attribute="{$product.id_product_attribute}" {* itemscope itemtype="http://schema.org/Product" *}> En espérant que ça fonctionne pour vous également, 😎
  14. 1 point
    Prestashop is great, but upgrading has never been a stable process for us, even with a new installation on a fresh VPS Plesk installation it spits out errors like wildfire, with features being stripped or even removed and some critical functions no longer working properly, there is no real reason for us to upgrade. I am sure that the developers of Prestashop do their best to make Prestashop a success.
  15. 1 point
    @sergio_rr Agrega este código al mismo archivo de antes (theme.css) .form-footer .btn-primary { background: black !important; color: white; } Me comentas que tal te funciona! Se agradece si me das un "gracias" en el comentario para mejorar mi reputación jeje Saludos!
  16. 1 point
    Ok Sahin, thanks for clearing this up! Actually mailalerts is installed. I copied this shop to a new domain and doing some admin work "by force". but great the riddle of the configuration of the notifications is solved 🙂
  17. 1 point
    Hola @sergio_rr Tienes que agregar el siguiente código CSS: #header .header-top a { font-weight: bold !important; } o alternativamente puedes modificar el archivo /themes/ashlee/assets/css/theme.css: Busca esta parte del código: #contact-link a, .currency-selector span, #header .currency-selector a, #header .header-top a[data-depth="0"], #_desktop_language_selector span, #_desktop_language_selector a, #_mobile_language_selector span { color: #fff; text-transform: uppercase; font-weight: normal; } y cámbiala por esta: #contact-link a, .currency-selector span, #header .currency-selector a, #header .header-top a[data-depth="0"], #_desktop_language_selector span, #_desktop_language_selector a, #_mobile_language_selector span { color: #fff; text-transform: uppercase; font-weight: bold; } Espero haberte ayudado Saludos! PrestaMake
  18. 1 point
    UPDATE ma_table SET mon_champ = replace(mon_champ, 'ancienne-chaine', 'nouvelle-chaine');
  19. 1 point
    Hola: Prestashop no establece un ordenamiento de las tiendas físicas que no sea según su ID. Lo que puedes hacer es ir directamente a la tabla ps_store de tu tienda y alterar los ID para que queden organizados de acuerdo a tus necesidades. Recuerda mantener el mismo id_store de referencia en la tabla para la tabla ps_store_shop. Saludos
  20. 1 point
    Changer les url de ton slider (surement en base de données) de http => https
  21. 1 point
    It does, and unofficially 7.3. Plus, if PrestaShop 1.7.5 "works very well" why does it crash before I can even complete the installation on several systems/servers?
  22. 1 point
    Well it's compatible with most of your current modules and likely the theme as well (might need minor adjustments, but you can test it out). It's like 1.6, but faster, with a lot less bugs, and has some additional features that are also increasing as time goes by (like deleting orders from the orders list without extra modules). It also includes a faster caching algorithm
  23. 1 point
    I think you are lucky It's telling you it's not a good idea. And it's not a good idea to upgrade really, I suggest you either stick to 1.6 or try thirtybees
  24. 1 point
    Got it figured out (im still using old module): Set Modules and Services->Payment and in Currency Restrictions, near PayPal put radiobox on "Customer currency" instead of "Shop default currency".
  25. 1 point
    I found a solution. First, In your hook you must set header("HTTP/1.0 400 Bad Request"); After this, the error message will appear at the top-right side of the screen (predefined error message of the Prestashop). You can show your custom error message only if you have some tpl file in your module. This file must contain an element, to which the error message will be attached. It can be both input or any other HTML element. In my example I have table. You should give it an id that must starts with "form_". E.g.: <table class="table" id="form_some_id"> Then, in your PHP file (after the header been set) you should return an error in this format: die(json_encode(array('some_id' => array($this->l('Error text.'))))); Note, that structure must be as in example. Key of the array should be as ID of the element, but without "form_". The text of an error will be shown after the element. Hope this will help somebody.
  26. 1 point
  27. 1 point
    Thank you. This solution works well !
  28. 1 point
    Thank you very much for your help. This solution works well !
  29. 1 point
    Sorry for dragging up an old thread, but i had the same problem, wanting to use the short description as the H1 tag on the product page. The problem is that the tinyMCE adds the P tag to the short description, which isn't w3c compatible. To stop this happening, I simply went to the following file: admin_folder\themes\default\template\controllers\products\informations.tpl At around line 335, there is the code: {include file="controllers/products/textarea_lang.tpl" languages=$languages input_name='description_short' class="autoload_rte" input_value=$product->description_short max=$PS_PRODUCT_SHORT_DESC_LIMIT} Simply remove the line class="autoload_rte", and it changes the field to a simple text box. I thought this might be useful for anyone having similar issues!
  30. 1 point
    Hello, Add this file - modules\blocknewproducts\blocknewproducts.php This code after line 180 public function hookDisplayHome($params) { if (!$this->isCached('blocknewproducts_home.tpl', $this->getCacheId('blocknewproducts-home'))) { $this->smarty->assign(array( 'new_products' => BlockNewProducts::$cache_new_products, 'mediumSize' => Image::getSize(ImageType::getFormatedName('medium')), 'homeSize' => Image::getSize(ImageType::getFormatedName('home')) )); } if (BlockNewProducts::$cache_new_products === false) return false; return $this->display(__FILE__, 'blocknewproducts_home.tpl', $this->getCacheId('blocknewproducts-home')); }
  31. 1 point
    Un placer ayudarte y servirte! Un saludo y recuerda que estaremos en el foro, para guiarte por este mundo oscuro y tenebroso.
  32. 0 points
    Hi! When customers send email to the company email adress. I can open it from customer service in admin panel. I can receive the email but not the attachments. How can i fix it. So its possible to open the attachments sent to email from customer service? Halil
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More